oasis.names.tc.saml._2_0.protocol

## Class ObjectFactory

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.ObjectFactory

-     public class ObjectFactory
      extends Object

  This object contains factory methods for each Java content interface and Java element interface generated in the oasis.names.tc.saml._2_0.protocol package.

  An ObjectFactory allows you to programatically construct new instances of the Java representation for XML content. The Java representation of XML content can consist of schema derived interfaces and classes representing the binding of schema type definitions, element declarations and model groups. Factory methods for each of these are provided in this class.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ObjectFactory()` Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.protocol

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `JAXBElement<String>` | `createArtifact(String value)` Create an instance of `JAXBElement``<``String``>`
    `ArtifactResolve` | `createArtifactResolve()` Create an instance of `ArtifactResolve`
    `ArtifactResponse` | `createArtifactResponse()` Create an instance of `ArtifactResponse`
    `AssertionIDRequest` | `createAssertionIDRequest()` Create an instance of `AssertionIDRequest`
    `AttributeQuery` | `createAttributeQuery()` Create an instance of `AttributeQuery`
    `AuthnQuery` | `createAuthnQuery()` Create an instance of `AuthnQuery`
    `AuthnRequest` | `createAuthnRequest()` Create an instance of `AuthnRequest`
    `AuthzDecisionQuery` | `createAuthzDecisionQuery()` Create an instance of `AuthzDecisionQuery`
    `JAXBElement<ExtensionsType>` | `createExtensions(ExtensionsType value)` Create an instance of `JAXBElement``<``ExtensionsType``>`
    `ExtensionsType` | `createExtensionsType()` Create an instance of `ExtensionsType`
    `JAXBElement<String>` | `createGetComplete(String value)` Create an instance of `JAXBElement``<``String``>`
    `IDPEntry` | `createIDPEntry()` Create an instance of `IDPEntry`
    `IDPList` | `createIDPList()` Create an instance of `IDPList`
    `LogoutRequest` | `createLogoutRequest()` Create an instance of `LogoutRequest`
    `JAXBElement<StatusResponseType>` | `createLogoutResponse(StatusResponseType value)` Create an instance of `JAXBElement``<``StatusResponseType``>`
    `ManageNameIDRequest` | `createManageNameIDRequest()` Create an instance of `ManageNameIDRequest`
    `JAXBElement<StatusResponseType>` | `createManageNameIDResponse(StatusResponseType value)` Create an instance of `JAXBElement``<``StatusResponseType``>`
    `NameIDMappingRequest` | `createNameIDMappingRequest()` Create an instance of `NameIDMappingRequest`
    `NameIDMappingResponse` | `createNameIDMappingResponse()` Create an instance of `NameIDMappingResponse`
    `NameIDPolicy` | `createNameIDPolicy()` Create an instance of `NameIDPolicy`
    `JAXBElement<EncryptedElementType>` | `createNewEncryptedID(EncryptedElementType value)` Create an instance of `JAXBElement``<``EncryptedElementType``>`
    `JAXBElement<String>` | `createNewID(String value)` Create an instance of `JAXBElement``<``String``>`
    `RequestedAuthnContext` | `createRequestedAuthnContext()` Create an instance of `RequestedAuthnContext`
    `JAXBElement<String>` | `createRequesterID(String value)` Create an instance of `JAXBElement``<``String``>`
    `Response` | `createResponse()` Create an instance of `Response`
    `Scoping` | `createScoping()` Create an instance of `Scoping`
    `JAXBElement<String>` | `createSessionIndex(String value)` Create an instance of `JAXBElement``<``String``>`
    `Status` | `createStatus()` Create an instance of `Status`
    `StatusCode` | `createStatusCode()` Create an instance of `StatusCode`
    `StatusDetail` | `createStatusDetail()` Create an instance of `StatusDetail`
    `JAXBElement<String>` | `createStatusMessage(String value)` Create an instance of `JAXBElement``<``String``>`
    `StatusResponseType` | `createStatusResponseType()` Create an instance of `StatusResponseType`
    `JAXBElement<SubjectQueryAbstractType>` | `createSubjectQuery(SubjectQueryAbstractType value)` Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
    `Terminate` | `createTerminate()` Create an instance of `Terminate`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ObjectFactory

          public ObjectFactory()

      Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: oasis.names.tc.saml._2_0.protocol

  - ### Method Detail

    - #### createExtensionsType

          public ExtensionsType createExtensionsType()

      Create an instance of `ExtensionsType`

    - #### createStatus

          public Status createStatus()

      Create an instance of `Status`

    - #### createStatusCode

          public StatusCode createStatusCode()

      Create an instance of `StatusCode`

    - #### createStatusDetail

          public StatusDetail createStatusDetail()

      Create an instance of `StatusDetail`

    - #### createAssertionIDRequest

          public AssertionIDRequest createAssertionIDRequest()

      Create an instance of `AssertionIDRequest`

    - #### createAuthnQuery

          public AuthnQuery createAuthnQuery()

      Create an instance of `AuthnQuery`

    - #### createRequestedAuthnContext

          public RequestedAuthnContext createRequestedAuthnContext()

      Create an instance of `RequestedAuthnContext`

    - #### createAttributeQuery

          public AttributeQuery createAttributeQuery()

      Create an instance of `AttributeQuery`

    - #### createAuthzDecisionQuery

          public AuthzDecisionQuery createAuthzDecisionQuery()

      Create an instance of `AuthzDecisionQuery`

    - #### createAuthnRequest

          public AuthnRequest createAuthnRequest()

      Create an instance of `AuthnRequest`

    - #### createNameIDPolicy

          public NameIDPolicy createNameIDPolicy()

      Create an instance of `NameIDPolicy`

    - #### createScoping

          public Scoping createScoping()

      Create an instance of `Scoping`

    - #### createIDPList

          public IDPList createIDPList()

      Create an instance of `IDPList`

    - #### createIDPEntry

          public IDPEntry createIDPEntry()

      Create an instance of `IDPEntry`

    - #### createResponse

          public Response createResponse()

      Create an instance of `Response`

    - #### createStatusResponseType

          public StatusResponseType createStatusResponseType()

      Create an instance of `StatusResponseType`

    - #### createArtifactResolve

          public ArtifactResolve createArtifactResolve()

      Create an instance of `ArtifactResolve`

    - #### createArtifactResponse

          public ArtifactResponse createArtifactResponse()

      Create an instance of `ArtifactResponse`

    - #### createManageNameIDRequest

          public ManageNameIDRequest createManageNameIDRequest()

      Create an instance of `ManageNameIDRequest`

    - #### createTerminate

          public Terminate createTerminate()

      Create an instance of `Terminate`

    - #### createLogoutRequest

          public LogoutRequest createLogoutRequest()

      Create an instance of `LogoutRequest`

    - #### createNameIDMappingRequest

          public NameIDMappingRequest createNameIDMappingRequest()

      Create an instance of `NameIDMappingRequest`

    - #### createNameIDMappingResponse

          public NameIDMappingResponse createNameIDMappingResponse()

      Create an instance of `NameIDMappingResponse`

    - #### createExtensions

          public JAXBElement<ExtensionsType> createExtensions(ExtensionsType value)

      Create an instance of `JAXBElement``<``ExtensionsType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``ExtensionsType``>`

    - #### createStatusMessage

          public JAXBElement<String> createStatusMessage(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createSubjectQuery

          public JAXBElement<SubjectQueryAbstractType> createSubjectQuery(SubjectQueryAbstractType value)

      Create an instance of `JAXBElement``<``SubjectQueryAbstractType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``SubjectQueryAbstractType``>`

    - #### createGetComplete

          public JAXBElement<String> createGetComplete(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createRequesterID

          public JAXBElement<String> createRequesterID(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createArtifact

          public JAXBElement<String> createArtifact(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createNewEncryptedID

          public JAXBElement<EncryptedElementType> createNewEncryptedID(EncryptedElementType value)

      Create an instance of `JAXBElement``<``EncryptedElementType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``EncryptedElementType``>`

    - #### createNewID

          public JAXBElement<String> createNewID(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createManageNameIDResponse

          public JAXBElement<StatusResponseType> createManageNameIDResponse(StatusResponseType value)

      Create an instance of `JAXBElement``<``StatusResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``StatusResponseType``>`

    - #### createSessionIndex

          public JAXBElement<String> createSessionIndex(String value)

      Create an instance of `JAXBElement``<``String``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``String``>`

    - #### createLogoutResponse

          public JAXBElement<StatusResponseType> createLogoutResponse(StatusResponseType value)

      Create an instance of `JAXBElement``<``StatusResponseType``>`
      Parameters:
        `value` - Java instance representing xml element's value.
      Returns:
        the new instance of `JAXBElement``<``StatusResponseType``>`

Connector Packaging OTMOBILITYIMPROVEMENT 4.8.6 API
Copyright © {inceptionYear}-2026 eHealth. All Rights Reserved.